diff --git a/src/src/queue.c b/src/src/queue.c
index 6e47d2c8a..fd84d303f 100644
--- a/src/src/queue.c
+++ b/src/src/queue.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions that operate on the input queue. */
 
diff --git a/src/src/rda.c b/src/src/rda.c
index b635ebfde..1bc322e34 100644
--- a/src/src/rda.c
+++ b/src/src/rda.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This module contains code for extracting addresses from a forwarding list
 (from an alias or forward file) or by running the filter interpreter. It may do
diff --git a/src/src/readconf.c b/src/src/readconf.c
index 83ee51b65..b0d688772 100644
--- a/src/src/readconf.c
+++ b/src/src/readconf.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions for reading the configuration file, and for displaying
 overall configuration values. Thanks to Brian Candler for the original
diff --git a/src/src/receive.c b/src/src/receive.c
index 0a27c7950..d9d0757ef 100644
--- a/src/src/receive.c
+++ b/src/src/receive.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Code for receiving a message and setting up spool files. */
 
diff --git a/src/src/regex.c b/src/src/regex.c
index 210620f26..eefba8ecf 100644
--- a/src/src/regex.c
+++ b/src/src/regex.c
@@ -6,6 +6,7 @@
  * Copyright (c) The Exim Maintainers 2016 - 2022
  * Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003-2015
  * License: GPL
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /* Code for matching regular expressions against headers and body.
diff --git a/src/src/regex_cache.c b/src/src/regex_cache.c
index 63cddce1d..e4771aab9 100644
--- a/src/src/regex_cache.c
+++ b/src/src/regex_cache.c
@@ -5,6 +5,7 @@
 /*
  * Copyright (c) The Exim Maintainers 2022
  * License: GPL
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /* Caching layers for compiled REs.  There is a local layer in the process,
diff --git a/src/src/retry.c b/src/src/retry.c
index 033afb4bf..e1490266c 100644
--- a/src/src/retry.c
+++ b/src/src/retry.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions concerned with retrying unsuccessful deliveries. */
 
diff --git a/src/src/rewrite.c b/src/src/rewrite.c
index 90614e626..040525ec5 100644
--- a/src/src/rewrite.c
+++ b/src/src/rewrite.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions concerned with rewriting headers */
 
diff --git a/src/src/rfc2047.c b/src/src/rfc2047.c
index 1ed1dd809..af8993695 100644
--- a/src/src/rfc2047.c
+++ b/src/src/rfc2047.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file contains a function for decoding message header lines that may
 contain encoded "words" according to the rules described in
diff --git a/src/src/route.c b/src/src/route.c
index fa69b8b74..7e6e4eb69 100644
--- a/src/src/route.c
+++ b/src/src/route.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions concerned with routing, and the list of generic router options. */
 
diff --git a/src/src/routers/accept.c b/src/src/routers/accept.c
index 110a1efe4..ab02716eb 100644
--- a/src/src/routers/accept.c
+++ b/src/src/routers/accept.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/accept.h b/src/src/routers/accept.h
index 43494fbc4..e025179ee 100644
--- a/src/src/routers/accept.h
+++ b/src/src/routers/accept.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options (there aren't any). */
 
diff --git a/src/src/routers/dnslookup.c b/src/src/routers/dnslookup.c
index a845b4e52..0b1abeb8e 100644
--- a/src/src/routers/dnslookup.c
+++ b/src/src/routers/dnslookup.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/dnslookup.h b/src/src/routers/dnslookup.h
index b7e091587..0272db300 100644
--- a/src/src/routers/dnslookup.h
+++ b/src/src/routers/dnslookup.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/routers/ipliteral.c b/src/src/routers/ipliteral.c
index 3d68642a2..cfbf276ff 100644
--- a/src/src/routers/ipliteral.c
+++ b/src/src/routers/ipliteral.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/ipliteral.h b/src/src/routers/ipliteral.h
index 1ddb38b10..f7e99b9c2 100644
--- a/src/src/routers/ipliteral.h
+++ b/src/src/routers/ipliteral.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 /* Private structure for the private options. Some compilers do not like empty
diff --git a/src/src/routers/iplookup.c b/src/src/routers/iplookup.c
index 8b67f3116..970ec7704 100644
--- a/src/src/routers/iplookup.c
+++ b/src/src/routers/iplookup.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/iplookup.h b/src/src/routers/iplookup.h
index dbcb03c9e..3b7295574 100644
--- a/src/src/routers/iplookup.h
+++ b/src/src/routers/iplookup.h
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 /* Private structure for the private options. */
diff --git a/src/src/routers/manualroute.c b/src/src/routers/manualroute.c
index 974ad0cf4..6a500d09a 100644
--- a/src/src/routers/manualroute.c
+++ b/src/src/routers/manualroute.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/manualroute.h b/src/src/routers/manualroute.h
index 9c20b6fa0..e27d90953 100644
--- a/src/src/routers/manualroute.h
+++ b/src/src/routers/manualroute.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Header for the manualroute router */
 
diff --git a/src/src/routers/queryprogram.c b/src/src/routers/queryprogram.c
index 55f03a477..51b7b7551 100644
--- a/src/src/routers/queryprogram.c
+++ b/src/src/routers/queryprogram.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/queryprogram.h b/src/src/routers/queryprogram.h
index 93046bd0f..148846fae 100644
--- a/src/src/routers/queryprogram.h
+++ b/src/src/routers/queryprogram.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 /* Private structure for the private options. */
diff --git a/src/src/routers/redirect.c b/src/src/routers/redirect.c
index 31c07f518..6126555fe 100644
--- a/src/src/routers/redirect.c
+++ b/src/src/routers/redirect.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/redirect.h b/src/src/routers/redirect.h
index 4c0399a36..76d02f261 100644
--- a/src/src/routers/redirect.h
+++ b/src/src/routers/redirect.h
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Header for the redirect router */
 
diff --git a/src/src/routers/rf_change_domain.c b/src/src/routers/rf_change_domain.c
index d7c9c1cb8..4f8d47299 100644
--- a/src/src/routers/rf_change_domain.c
+++ b/src/src/routers/rf_change_domain.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/rf_expand_data.c b/src/src/routers/rf_expand_data.c
index 6a8ad1779..5fbf0ac78 100644
--- a/src/src/routers/rf_expand_data.c
+++ b/src/src/routers/rf_expand_data.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/rf_functions.h b/src/src/routers/rf_functions.h
index f310d5a42..d8fca68c5 100644
--- a/src/src/routers/rf_functions.h
+++ b/src/src/routers/rf_functions.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Header for the functions that are shared by the routers */
 
diff --git a/src/src/routers/rf_get_errors_address.c b/src/src/routers/rf_get_errors_address.c
index b9cf78124..1189fd9e0 100644
--- a/src/src/routers/rf_get_errors_address.c
+++ b/src/src/routers/rf_get_errors_address.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_get_munge_headers.c b/src/src/routers/rf_get_munge_headers.c
index d304d1145..be86a4e0e 100644
--- a/src/src/routers/rf_get_munge_headers.c
+++ b/src/src/routers/rf_get_munge_headers.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_get_transport.c b/src/src/routers/rf_get_transport.c
index 2f639e037..0c1fa8173 100644
--- a/src/src/routers/rf_get_transport.c
+++ b/src/src/routers/rf_get_transport.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_get_ugid.c b/src/src/routers/rf_get_ugid.c
index 1735e5919..15144beb1 100644
--- a/src/src/routers/rf_get_ugid.c
+++ b/src/src/routers/rf_get_ugid.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_lookup_hostlist.c b/src/src/routers/rf_lookup_hostlist.c
index 79a779927..affd70b6e 100644
--- a/src/src/routers/rf_lookup_hostlist.c
+++ b/src/src/routers/rf_lookup_hostlist.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/rf_queue_add.c b/src/src/routers/rf_queue_add.c
index 0693c8c6e..49dd83117 100644
--- a/src/src/routers/rf_queue_add.c
+++ b/src/src/routers/rf_queue_add.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/routers/rf_self_action.c b/src/src/routers/rf_self_action.c
index 9a4dc3cc7..7cc592039 100644
--- a/src/src/routers/rf_self_action.c
+++ b/src/src/routers/rf_self_action.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/routers/rf_set_ugid.c b/src/src/routers/rf_set_ugid.c
index e1346b4be..65f5200a2 100644
--- a/src/src/routers/rf_set_ugid.c
+++ b/src/src/routers/rf_set_ugid.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 #include "../exim.h"
 #include "rf_functions.h"
diff --git a/src/src/search.c b/src/src/search.c
index eec543776..32099ab9e 100644
--- a/src/src/search.c
+++ b/src/src/search.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* A set of functions to search databases in various formats. An open
 database is represented by a void * value which is returned from a lookup-
diff --git a/src/src/setenv.c b/src/src/setenv.c
index 90e679304..877fe388f 100644
--- a/src/src/setenv.c
+++ b/src/src/setenv.c
@@ -6,6 +6,7 @@
  * Copyright (c) Jeremy Harris 2015 - 2016
  * Copyright (c) The Exim Maintainers 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This module provides (un)setenv routines for those environments
 lacking them in libraries. It is #include'd by OS/os.c-foo files. */
diff --git a/src/src/sha_ver.h b/src/src/sha_ver.h
index bc2b2f89e..8385c1377 100644
--- a/src/src/sha_ver.h
+++ b/src/src/sha_ver.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* SHA routine selection */
 
diff --git a/src/src/sieve.c b/src/src/sieve.c
index af3bc9d9a..033a9734a 100644
--- a/src/src/sieve.c
+++ b/src/src/sieve.c
@@ -6,6 +6,7 @@
  * Copyright (c) The Exim Maintainers 2016 - 2022
  * Copyright (c) Michael Haardt 2003 - 2015
  * See the file NOTICE for conditions of use and distribution.
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /* This code was contributed by Michael Haardt. */
diff --git a/src/src/smtp_in.c b/src/src/smtp_in.c
index 28e529bae..3c6339c82 100644
--- a/src/src/smtp_in.c
+++ b/src/src/smtp_in.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions for handling an incoming SMTP call. */
 
diff --git a/src/src/smtp_out.c b/src/src/smtp_out.c
index 7f364d942..db39dcab5 100644
--- a/src/src/smtp_out.c
+++ b/src/src/smtp_out.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* A number of functions for driving outgoing SMTP calls. */
 
diff --git a/src/src/spam.c b/src/src/spam.c
index a68b9bf60..f6575c293 100644
--- a/src/src/spam.c
+++ b/src/src/spam.c
@@ -6,6 +6,7 @@
  * Copyright (c) The Exim Maintainers 2016 - 2022
  * Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003 - 2015
  * License: GPL
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /* Code for calling spamassassin's spamd. Called from acl.c. */
diff --git a/src/src/spam.h b/src/src/spam.h
index cc36ffd3f..c410198d7 100644
--- a/src/src/spam.h
+++ b/src/src/spam.h
@@ -5,6 +5,7 @@
 /* Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003 - 2015 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* License: GPL */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* spam defines */
 
diff --git a/src/src/spf.c b/src/src/spf.c
index a8c0f75c4..a94bc9677 100644
--- a/src/src/spf.c
+++ b/src/src/spf.c
@@ -6,6 +6,7 @@
    Copyright (c) The Exim Maintainers 2015 - 2022
    Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004 - 2014
    License: GPL
+   SPDX-License-Identifier: GPL-2.0-only
 */
 
 /* Code for calling spf checks via libspf-alt. Called from acl.c. */
diff --git a/src/src/spf.h b/src/src/spf.h
index f32d06906..8fb7b04cb 100644
--- a/src/src/spf.h
+++ b/src/src/spf.h
@@ -6,6 +6,7 @@
    Copyright (c) The Exim Maintainers 2016 - 2022
    Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004
    License: GPL
+   SPDX-License-Identifier: GPL-2.0-only
 */
 
 #ifdef SUPPORT_SPF
diff --git a/src/src/spool_in.c b/src/src/spool_in.c
index 2aa0b0b55..82d11bf65 100644
--- a/src/src/spool_in.c
+++ b/src/src/spool_in.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions for reading spool files. When compiling for a utility (eximon),
 not all are needed, and some functionality can be cut out. */
diff --git a/src/src/spool_mbox.c b/src/src/spool_mbox.c
index 8b2aae394..d9767ec3c 100644
--- a/src/src/spool_mbox.c
+++ b/src/src/spool_mbox.c
@@ -5,6 +5,7 @@
 /* Copyright (c) Tom Kistner <tom@duncanthrax.net> 2003 - 2015
  * License: GPL
  * Copyright (c) The Exim Maintainers 2016 - 2021
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /* Code for setting up a MBOX style spool file inside a /scan/<msgid>
diff --git a/src/src/spool_out.c b/src/src/spool_out.c
index 510eda6c1..cb409c641 100644
--- a/src/src/spool_out.c
+++ b/src/src/spool_out.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Functions for writing spool files, and moving them about. */
 
diff --git a/src/src/std-crypto.c b/src/src/std-crypto.c
index 200fb7144..c1eef6c35 100644
--- a/src/src/std-crypto.c
+++ b/src/src/std-crypto.c
@@ -7,6 +7,8 @@
  * But almost everything here is fixed published constants from RFCs, so also:
  * Copyright (C) The Internet Society (2003)
  * Copyright (C) The IETF Trust (2008)
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
  * Most of the text in RFC referencing comments is copy/paste from RFC,
  * as is undoubtedly the intention.
  * The constants are generated from that text using util/gen_pkcs3.c invoked
diff --git a/src/src/store.c b/src/src/store.c
index d99d2ab69..449fb4ead 100644
--- a/src/src/store.c
+++ b/src/src/store.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim maintainers 2019 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Exim gets and frees all its store through these functions. In the original
 implementation there was a lot of mallocing and freeing of small bits of store.
diff --git a/src/src/store.h b/src/src/store.h
index ee6d79c36..47ed963cd 100644
--- a/src/src/store.h
+++ b/src/src/store.h
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Header for Exim's memory allocation functions */
 
diff --git a/src/src/string.c b/src/src/string.c
index a5161bb31..ff4180b2b 100644
--- a/src/src/string.c
+++ b/src/src/string.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Miscellaneous string-handling functions. Some are not required for
 utilities and tests, and are cut out by the COMPILE_UTILITY macro. */
diff --git a/src/src/structs.h b/src/src/structs.h
index 06cd06084..1cb69236e 100644
--- a/src/src/structs.h
+++ b/src/src/structs.h
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 /* Definitions of various structures. In addition, those that are visible for
diff --git a/src/src/tls-cipher-stdname.c b/src/src/tls-cipher-stdname.c
index ab973af51..fe442a050 100644
--- a/src/src/tls-cipher-stdname.c
+++ b/src/src/tls-cipher-stdname.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 2019 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Translate an IETF TLS ciphersuite code to an IETF ciphersuite name,
 for use when the TLS library do not provide such names.
diff --git a/src/src/tls-gnu.c b/src/src/tls-gnu.c
index 1fc7828cf..c98760202 100644
--- a/src/src/tls-gnu.c
+++ b/src/src/tls-gnu.c
@@ -6,6 +6,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) Phil Pennock 2012 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file provides TLS/SSL support for Exim using the GnuTLS library,
 one of the available supported implementations.  This file is #included into
diff --git a/src/src/tls-openssl.c b/src/src/tls-openssl.c
index 8ed413e91..052d8161d 100644
--- a/src/src/tls-openssl.c
+++ b/src/src/tls-openssl.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2019 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Portions Copyright (c) The OpenSSL Project 1999 */
 
diff --git a/src/src/tls.c b/src/src/tls.c
index d7cefce67..9e20b5bca 100644
--- a/src/src/tls.c
+++ b/src/src/tls.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This module provides TLS (aka SSL) support for Exim. The code for OpenSSL is
 based on a patch that was originally contributed by Steve Haslam. It was
diff --git a/src/src/tlscert-gnu.c b/src/src/tlscert-gnu.c
index a40bb30bf..8840d5cfd 100644
--- a/src/src/tlscert-gnu.c
+++ b/src/src/tlscert-gnu.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) Jeremy Harris 2014 - 2018 */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This file provides TLS/SSL support for Exim using the GnuTLS library,
 one of the available supported implementations.  This file is #included into
diff --git a/src/src/tlscert-openssl.c b/src/src/tlscert-openssl.c
index ac353b25f..a4c3d19fa 100644
--- a/src/src/tlscert-openssl.c
+++ b/src/src/tlscert-openssl.c
@@ -4,6 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) Jeremy Harris 2014 - 2019 */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* This module provides TLS (aka SSL) support for Exim using the OpenSSL
 library. It is #included into the tls.c file when that library is used.
diff --git a/src/src/tod.c b/src/src/tod.c
index 1f0bcc05e..ac4ed35b9 100644
--- a/src/src/tod.c
+++ b/src/src/tod.c
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* A function for returning the time of day in various formats */
 
diff --git a/src/src/transport.c b/src/src/transport.c
index 7477882cb..ff2e0b1d4 100644
--- a/src/src/transport.c
+++ b/src/src/transport.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* General functions concerned with transportation, and generic options for all
 transports. */
diff --git a/src/src/transports/appendfile.c b/src/src/transports/appendfile.c
index 7e29dd3bc..18badde86 100644
--- a/src/src/transports/appendfile.c
+++ b/src/src/transports/appendfile.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/transports/appendfile.h b/src/src/transports/appendfile.h
index 3fd2f467c..108114905 100644
--- a/src/src/transports/appendfile.h
+++ b/src/src/transports/appendfile.h
@@ -5,6 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/autoreply.c b/src/src/transports/autoreply.c
index 211e32810..eff1a3792 100644
--- a/src/src/transports/autoreply.c
+++ b/src/src/transports/autoreply.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/transports/autoreply.h b/src/src/transports/autoreply.h
index fcfd981e7..5f278a51e 100644
--- a/src/src/transports/autoreply.h
+++ b/src/src/transports/autoreply.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/lmtp.c b/src/src/transports/lmtp.c
index f751771c1..c734c3a26 100644
--- a/src/src/transports/lmtp.c
+++ b/src/src/transports/lmtp.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/transports/lmtp.h b/src/src/transports/lmtp.h
index 93f0f89cc..71fd77f26 100644
--- a/src/src/transports/lmtp.h
+++ b/src/src/transports/lmtp.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/pipe.c b/src/src/transports/pipe.c
index bdbe27d57..b8103e2f6 100644
--- a/src/src/transports/pipe.c
+++ b/src/src/transports/pipe.c
@@ -5,6 +5,7 @@
 /* Copyright (c) The Exim maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 #include "../exim.h"
diff --git a/src/src/transports/pipe.h b/src/src/transports/pipe.h
index ed5c142b3..416569608 100644
--- a/src/src/transports/pipe.h
+++ b/src/src/transports/pipe.h
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2014 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
diff --git a/src/src/transports/queuefile.c b/src/src/transports/queuefile.c
index 74131cc64..3a2bae22f 100644
--- a/src/src/transports/queuefile.c
+++ b/src/src/transports/queuefile.c
@@ -6,6 +6,7 @@
 /* Copyright (c) University of Cambridge 2016 */
 /* Copyright (c) The Exim Maintainers 1995 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 
 
diff --git a/src/src/transports/queuefile.h b/src/src/transports/queuefile.h
index 0e45b51b0..22759a7f7 100644
--- a/src/src/transports/queuefile.h
+++ b/src/src/transports/queuefile.h
@@ -5,6 +5,7 @@
 /* Copyright (c) Andrew Colin Kissa <andrew@topdog.za.net> 2016 */
 /* Copyright (c) University of Cambridge 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
+/* SPDX-License-Identifier: GPL-2.0-only */
 
 /* Private structure for the private options. */
 
